org.eclipse.microprofile.context.tck.cdi

## Class CDIBean

- java.lang.Object
- - org.eclipse.microprofile.context.tck.cdi.CDIBean

    @ApplicationScoped
    public class CDIBean
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `CDIBean.AppProducedExecutor`
`static interface` `CDIBean.LabelContextPropagator`
`static interface` `CDIBean.Priority3Executor`
`static interface` `CDIBean.PriorityContext`

### Constructor Summary

Constructors
Constructor and Description
`CDIBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testAppDefinedProducerOfThreadContext()` Application can provide producers of ThreadContext that are qualified.
`void` `testAppDefinedProducerUsingInjectedThreadContext()` Application-defined producer methods can have injection points of ThreadContext.
`void` `testBasicExecutorUsable()` Verify that injected ME instances are useable in a very basic way
`void` `testVerifyInjection()` Extra sanity check test to verify injection is occurring.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CDIBean

    public CDIBean()

### Method Detail

#### testVerifyInjection

    public void testVerifyInjection()

Extra sanity check test to verify injection is occurring. However, if CDI is set up properly, this bean should not even be reachable if injection fails.

#### testBasicExecutorUsable

    public void testBasicExecutorUsable()
                                 throws Exception

Verify that injected ME instances are useable in a very basic way

Throws:
  `Exception` - indicates test failure

#### testAppDefinedProducerOfThreadContext

    public void testAppDefinedProducerOfThreadContext()

Application can provide producers of ThreadContext that are qualified.

#### testAppDefinedProducerUsingInjectedThreadContext

    public void testAppDefinedProducerUsingInjectedThreadContext()

Application-defined producer methods can have injection points of ThreadContext.